Redmine - Defect #4669

Help: RE: 422 Unprocessable Entity [http://XXX/mail_handler]
2010-01-27 19:38 - Syn Admin

Status: Closed Start date: 2010-01-27
Priority: High Due date:

Assignee: % Done: 0%
Category: Email receiving Estimated time: 0.00 hour

Target version:

Resolution: No feedback Affected version: 0.8.2

Description

My Redmine installation is authenticating users off LDAP and I'm accepting e-mail Issue submission. Here is the alias I've created
on my mailhost:

<user>: "|/root/scripts/rdm-mailhandler.rb --url=http://<FQDN> --key=<key> --project=<PROJECT> --tracker=Support
--allow-override=tracker --unknown-user=accept"

This works for every user (thus far) except one in particular, who DOES exist in both LDAP and Redmine, but whenever he
specifically sends an e-mail to Redmine, we get an "Unprocessable Entry" message in the logs:

Processing MailHandlerController#index (for <IP_ADDRESS> at 2010-01-26 09:17:24) [POST]

Session ID: b22225f66268e7b54a9bb06dbe5a5358 Parameters: {"unknown_user"=>"accept", "action"=>"index",
"allow_override"=>"tracker", "controller"=>"mail_handler", "issue"=>{"project"=>"<PROJECT>", "tracker"=>"Support"},
"key"=>"<KEY>",......

Completed in 0.01551 (64 reqs/sec) | Rendering: 0.00024 (1%) | DB: 0.00724 (46%) | 422 Unprocessable Entity [
http:/&It; REDMINE_SERVER&gt;/mail_handler]

At first | had thought that maybe his e-mail syntax was off, but | have submitted the issue as both myself and another user and both
time it went through and created the issue in Redmine.

THEN...
So this is actually happening to several users.

At first | thought it may be due to HTML in an email, so we tried a user who couldn't get his mail through, using plain text. Still not
working.

Has anyone seen where their Exchange SERVICE (we don't have it in-house) does something to mail? With kmail, it works for one
user, from OWA and Entourage, not at all.

FINALLY...
I've also attempted to connect directly to my mail host and send the EXACT same message from users that | were working and ones

that were not. The same thing keeps happening to the users that were not working (for submitting through e-mail) - they get a 422
Unprocessable Entity Error.

History

#1 - 2010-03-22 15:31 - Guy Bolton King

I've seen this behaviour as well for users sending mail from Outlook: unfortunately, | haven't ever been able to get hold of the message source to
reproduce the error.

#2 - 2010-07-09 13:31 - Felix Schafer

Could any of you please test if this still is the case on current stable and if yes, provide a dump of a faulty email? We need a way to reproduce this to
be able to look for a fix.

#3 - 2010-11-12 15:12 - Jean-Philippe Lang
- Status changed from New to Closed

- Resolution set to No feedback

2025-05-02 1/1



http://&lt;REDMINE_SERVER&gt;/mail_handler
http://www.tcpdf.org

